document.addEventListener('contextmenu', event => event.preventDefault());

var background = chrome.extension.getBackgroundPage();
var streamer = background.streamer;

$(".streamer").text(streamer.name);

if (background.isLive) {
	$(".title").text(streamer.title);
	$(".title").attr("title", streamer.title);
	$(".game-name").text(streamer.game);
	$(".game-name").attr("title", streamer.game);
	$(".viewers-count").text(streamer.viewers);
	$(".btn-watch-outter").attr("href", streamer.liveURL);

	var rotate = 0;
	setInterval(function() {
		rotate += 5;
		$(".row .content-title img").css("transform", "rotate(" + rotate + "deg)");
	}, 100);
} else {
	$(".btn-watch-outter").remove();
	$("body").addClass("offline");
}

if (streamer.facebook == null) {
	$(".btn-facebook").remove();
} else {
	$(".btn-facebook").find("a").attr("href", streamer.facebook);
}

if (streamer.twitter == null) {
	$(".btn-twitter").remove();
} else {
	$(".btn-twitter").find("a").attr("href", streamer.twitter);
}

if (streamer.youtube == null) {
	$(".btn-youtube").remove();
} else {
	$(".btn-youtube").find("a").attr("href", streamer.youtube);
}

if (streamer.twitch == null) {
	$(".btn-twitch").remove();
} else {
	$(".btn-twitch").find("a").attr("href", streamer.twitch);
}

if (streamer.instagram == null) {
	$(".btn-instagram").remove();
} else {
	$(".btn-instagram").find("a").attr("href", streamer.instagram);
}

$(".settings .fa").click(function(){
	chrome.runtime.openOptionsPage();
});